Subject: Re: linux-next: build failure after merge of the akpm-current tree

From: Andrea Arcangeli <[email-masked]>
Date: Mon, 25 May 2015 16:03:15 +0200

Hello,

On Mon, May 25, 2015 at 09:18:01PM +1000, Stephen Rothwell wrote:
> Hi Andrew,
> 
> After merging the akpm-current tree, today's linux-next build (powerpc
> ppc64_defconfig) failed like this:
> 
> __NR_syscalls (364) is not one more than the last syscall (364)
> 
> Caused by commit d7766613717b ("userfaultfd: activate syscall").  (BTW,
> I notice that this patch was not cc'd to any ppc maintainers :-()
> 
> I have added this fix patch for today:

So another option is to just drop the arch/powerpc part of the patch
from -mm. It's up to you, there's no arch dependent code in the
syscall though and the config option is not specific to x86 either. I
enabled the syscall on powerpc in my tree to facilitate the testing so
the patchset included that change to arch/powerpc, but it would be ok
to enable the syscall only later upstream, after it has been tested.

Thanks,
Andrea

> 
> From: Stephen Rothwell <[email-masked]>
> Date: Mon, 25 May 2015 21:13:40 +1000
> Subject: [PATCH] userfaultfd: activate syscall fix
> 
> Signed-off-by: Stephen Rothwell <[email-masked]>
> ---
>  arch/powerpc/include/asm/unistd.h | 2 +-
>  1 file changed, 1 insertion(+), 1 deletion(-)
> 
> diff --git a/arch/powerpc/include/asm/unistd.h b/arch/powerpc/include/asm/unistd.h
> index f4f8b667d75b..4a055b6c2a64 100644
> --- a/arch/powerpc/include/asm/unistd.h
> +++ b/arch/powerpc/include/asm/unistd.h
> @@ -12,7 +12,7 @@
>  #include <uapi/asm/unistd.h>
>  
>  
> -#define __NR_syscalls		364
> +#define __NR_syscalls		365
>  
>  #define __NR__exit __NR_exit
>  #define NR_syscalls	__NR_syscalls
> -- 
> 2.1.4
> 
> -- 
> Cheers,
> Stephen Rothwell                    [email-masked]